PHP-инклюдинг в MODx CMS

Дата публикации:
28.11.2008
Дата изменения:
29.03.2009
Всего просмотров:
16112
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5938
CVE-2008-5939
CVE-2008-5942
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MODx CMS 0.x
Уязвимые версии: MODx CMS 0.9.6.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "reflect_base" в сценарии assets/snippets/reflect/snippet.reflect.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP. Пример:

http://[host]/assets/snippets/reflect/snippet.reflect.php?reflect_base=[file]

URL производителя: modxcms.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
29.03.2009
Изменена секция "Решение"

Ссылки: http://milw0rm.com/exploits/7204

или введите имя

CAPTCHA